"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GitlabGitOperations = void 0;
const rest_1 = require("@gitbeaker/rest");
const base_git_operations_1 = require("./base-git-operations");
class GitlabGitOperations extends base_git_operations_1.BaseGitOperations {
    constructor(token, prData) {
        super(token, prData);
        this.gitlabClient = new rest_1.Gitlab({
            host: 'https://gitlab.com',
            token,
        });
    }
    async createPullRequest() {
        const response = await this.gitlabClient.Projects.show(this.prData.repoUrl);
        const data = await this.gitlabClient.MergeRequests.create(response.id, this.prData.branchName, this.prData.targetBranch, this.prData.title, {
            description: this.prData.body,
        });
        return {
            html_url: data.web_url,
        };
    }
}
exports.GitlabGitOperations = GitlabGitOperations;
