"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GitlabPrData = void 0;
const rest_1 = require("@gitbeaker/rest");
const base_pr_data_1 = require("./base-pr-data");
class GitlabPrData extends base_pr_data_1.BasePrData {
    constructor(token, language, liblabConfig) {
        super(token, language, liblabConfig);
        this.gitlabClient = new rest_1.Gitlab({
            host: 'https://gitlab.com',
            token,
        });
        this.repoUrl = `https://gitlab.com/${this.org}/${this.repo}.git`;
        this.authorEmail = 'bot@lblab.com';
        this.authorName = 'liblab';
        this.username = 'x-token-auth';
    }
    async init() {
        await super.init();
        const userInfo = await this.gitlabClient.Users.showCurrentUser();
        this.authorEmail = userInfo.email;
        this.authorName = userInfo.name;
    }
}
exports.GitlabPrData = GitlabPrData;
